using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
    // このクラスは CA1046 に違反しています。
    // このクラスは CA2224 に違反しています。
    public class Rule1046
    {
        private string id = "id";

        public bool Equals(Rule1046 value)
        {
            return this.id == value.id;
        }

        public override int GetHashCode()
        {
            return base.GetHashCode();
        }

        public override string ToString()
        {
            return this.id;
        }

        public static bool operator ==(Rule1046 value1, Rule1046 value2)
        {
            return value1.id == value2.id;
        }

        public static bool operator !=(Rule1046 value1, Rule1046 value2)
        {
            return value1.id != value2.id;
        }
    }
}
